<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <property name="now" value="now()" dbms="h2"/>
    
    <property name="now" value="now()" dbms="mysql"/>
    <property name="autoIncrement" value="true"/>

    <property name="floatType" value="float4" dbms="postgresql, h2"/>
    <property name="floatType" value="float" dbms="mysql, oracle, mssql"/>

    <!--
        Added the entity Customer.
    -->
    <changeSet id="20190210105816-1" author="jhipster">
        <createTable tableName="customer">
            <column name="id" type="bigint" autoIncrement="${autoIncrement}">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="first_name" type="varchar(255)">
                <constraints nullable="false" />
            </column>

            <column name="last_name" type="varchar(255)">
                <constraints nullable="false" />
            </column>

            <column name="gender" type="varchar(255)">
                <constraints nullable="false" />
            </column>

            <column name="email" type="varchar(255)">
                <constraints nullable="false" />
            </column>

            <column name="phone" type="varchar(255)">
                <constraints nullable="false" />
            </column>

            <column name="address_line_1" type="varchar(255)">
                <constraints nullable="false" />
            </column>

            <column name="address_line_2" type="varchar(255)">
                <constraints nullable="true" />
            </column>

            <column name="city" type="varchar(255)">
                <constraints nullable="false" />
            </column>

            <column name="country" type="varchar(255)">
                <constraints nullable="false" />
            </column>
            <column name="user_id" type="bigint">
                <constraints unique="true" nullable="false" uniqueConstraintName="ux_customer_user_id" />
            </column>
            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here, do not remove-->
        </createTable>
        
    </changeSet>
    <!-- jhipster-needle-liquibase-add-changeset - JHipster will add changesets here, do not remove-->
</databaseChangeLog>
